USN-6590-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6590-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6590-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6590-1
Related
  • CVE-2018-1311
  • CVE-2023-37536
Published
2024-01-18T18:21:32.784323Z
Modified
2024-01-18T18:21:32.784323Z
Summary
xerces-c vulnerabilities
Details

It was discovered that Xerces-C++ was not properly handling memory management operations when parsing XML data containing external DTDs, which could trigger a use-after-free error. If a user or automated system were tricked into processing a specially crafted XML document, an attacker could possibly use this issue to cause a denial of service or execute arbitrary code. This issue only affected Ubuntu 22.04 LTS. (CVE-2018-1311)

It was discovered that Xerces-C++ was not properly performing bounds checks when processing XML Schema Definition files, which could lead to an out-of-bounds access via an HTTP request. If a user or automated system were tricked into processing a specially crafted XSD file, a remote attacker could possibly use this issue to cause a denial of service. (CVE-2023-37536)

References

Affected packages

Ubuntu:Pro:18.04:LTS / xerces-c

Package

Name
xerces-c

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
3.2.0+debian-2ubuntu0.1~esm3

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libxerces-c-dev": "3.2.0+debian-2ubuntu0.1~esm3",
            "libxerces-c-doc": "3.2.0+debian-2ubuntu0.1~esm3",
            "libxerces-c-samples": "3.2.0+debian-2ubuntu0.1~esm3",
            "libxerces-c3.2": "3.2.0+debian-2ubuntu0.1~esm3"
        }
    ]
}

Ubuntu:20.04:LTS / xerces-c

Package

Name
xerces-c

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
3.2.2+debian-1ubuntu0.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libxerces-c-dev": "3.2.2+debian-1ubuntu0.2",
            "libxerces-c-doc": "3.2.2+debian-1ubuntu0.2",
            "libxerces-c-samples": "3.2.2+debian-1ubuntu0.2",
            "libxerces-c3.2": "3.2.2+debian-1ubuntu0.2"
        }
    ]
}

Ubuntu:22.04:LTS / xerces-c

Package

Name
xerces-c

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
3.2.3+debian-3ubuntu0.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libxerces-c-dev": "3.2.3+debian-3ubuntu0.1",
            "libxerces-c-doc": "3.2.3+debian-3ubuntu0.1",
            "libxerces-c-samples": "3.2.3+debian-3ubuntu0.1",
            "libxerces-c3.2": "3.2.3+debian-3ubuntu0.1"
        }
    ]
}

Ubuntu:Pro:14.04:LTS / xerces-c

Package

Name
xerces-c

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
3.1.1-5.1+deb8u4ubuntu0.1~esm2

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libxerces-c3.1": "3.1.1-5.1+deb8u4ubuntu0.1~esm2",
            "libxerces-c-dev": "3.1.1-5.1+deb8u4ubuntu0.1~esm2",
            "libxerces-c-doc": "3.1.1-5.1+deb8u4ubuntu0.1~esm2",
            "libxerces-c-samples": "3.1.1-5.1+deb8u4ubuntu0.1~esm2"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / xerces-c

Package

Name
xerces-c

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
3.1.3+debian-1ubuntu0.1~esm3

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libxerces-c3.1": "3.1.3+debian-1ubuntu0.1~esm3",
            "libxerces-c-dev": "3.1.3+debian-1ubuntu0.1~esm3",
            "libxerces-c-doc": "3.1.3+debian-1ubuntu0.1~esm3",
            "libxerces-c-samples": "3.1.3+debian-1ubuntu0.1~esm3"
        }
    ]
}